summaryrefslogtreecommitdiffstats
path: root/scripts/pkgdelta.sh.in
diff options
context:
space:
mode:
Diffstat (limited to 'scripts/pkgdelta.sh.in')
-rw-r--r--scripts/pkgdelta.sh.in25
1 files changed, 6 insertions, 19 deletions
diff --git a/scripts/pkgdelta.sh.in b/scripts/pkgdelta.sh.in
index ecca4277..0f3472b6 100644
--- a/scripts/pkgdelta.sh.in
+++ b/scripts/pkgdelta.sh.in
@@ -1,4 +1,4 @@
-#!@BASH_SHELL@
+#!/bin/bash
#
# pkgdelta - create delta files for use with pacman and repo-add
# @configure_input@
@@ -20,11 +20,10 @@
#
# bash options
-set -o nounset
set -o errexit
# gettext initialization
-export TEXTDOMAIN='pacman'
+export TEXTDOMAIN='pacman-scripts'
export TEXTDOMAINDIR='@localedir@'
myver='@PACKAGE_VERSION@'
@@ -34,21 +33,7 @@ QUIET=0
# ensure we have a sane umask set
umask 0022
-msg() {
- (( QUIET )) && return
- local mesg=$1; shift
- printf "==> ${mesg}\n" "$@" >&1
-}
-
-warning() {
- local mesg=$1; shift
- printf "==> $(gettext "WARNING:") ${mesg}\n" "$@" >&2
-}
-
-error() {
- local mesg=$1; shift
- printf "==> $(gettext "ERROR:") ${mesg}\n" "$@" >&2
-}
+m4_include(library/output_format.sh)
# print usage instructions
usage() {
@@ -144,7 +129,7 @@ esac
if (( $# != 2 )); then
usage
- exit 0
+ exit 1
fi
if [[ ! -f $1 ]]; then
@@ -163,3 +148,5 @@ if ! type xdelta3 &>/dev/null; then
fi
create_xdelta "$1" "$2"
+
+# vim: set ts=2 sw=2 noet: